An AccountBalanceRequest is utilized to make a balance request on the /account/balance endpoint. If the block_identifier is populated, a historical balance query should be performed.

export
interface

  RosettaAccountBalanceRequest

### Hierarchy

- RosettaAccountBalanceRequest

## Index

### Properties

- account_identifier
- block_identifier
- network_identifier

## Properties

### account_identifier

account_identifier: RosettaAccount

- Defined in src/generated/models/RosettaAccountBalanceRequest.ts:44

memberof

  RosettaAccountBalanceRequest

### Optional block_identifier

block_identifier: object

- Defined in src/generated/models/RosettaAccountBalanceRequest.ts:50

When fetching data by BlockIdentifier, it may be possible to only specify the index or hash. If neither property is specified, it is assumed that the client is making a request at the current block.

memberof

  RosettaAccountBalanceRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaAccountBalanceRequest.ts:38

memberof

  RosettaAccountBalanceRequest

Generated using TypeDoc